Get Balance

Using this method, the operator can find out the current balance of a player’s wallet in the Naga Games system.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Read Me First!

An operator must generate X-Signature based on their input data before sending the request.
Please Refer ➡️ How to generate signature for Transfer mode?

An operator must process the data in the same order ( data order and the number of data fields passed ) as specified by Naga Games to get the result from the API. Please make sure that the signature generated is valid before requesting, as different data will generate different signature and will result in error ( happens if any order or any data is missing or invalid during the signature generation process ).

Please Refer ➡️ Data Order before Stringify & Hashing

/* JAVASCRIPT EXAMPLE */

// Example for request data
const payload = {
  "nativeId": "safutest03",
  "brandCode": "srot",
  "groupCode": "dpae",
};

//To ensure accurate results when using this API.
//The operator must create an instance of the generateSignatureExample() function. 
//Prior to employing the API, it is necessary to generate the signature using the newly implemented function since it provides a guaranteed output and response.
const signature = generateSignatureExample(payload);

Request

API URL : {NagaGamesAPIDomain}/operator/transfer/wallet-balance
HTTP Method : GET

Header Parameter:

  • X-Signature (String) - Required
    Must be generated from signing process with correct order of data fields & secretKey.

URL Parameters:

NameDescriptionData typeStatus
nativeIdUnique Identifier of the player in Operator’s systemString
(length: 255)
Required
groupCodeAuto-generated code of the group in Naga Games’s databaseString (length: 4)Required
brandCodeAuto-generated code of the brand in Naga Games’s databaseString (length: 4)Required

Example

curl --request GET \
     --url 'https://api.stg.game.topplatform.online/operator/transfer/wallet-balance?nativeId=safutest03&brandCode=srot&groupCode=dpae' \
     --header 'accept: application/json' \
     --header 'x-signature: 21298857c50f0839ffda12222391d64018ea01dcc5277da26cc7fa5b40bb598a'

Response

Data Response:

NameDescriptionData typeStatus
currencyCurrency of the player in unique three letter codeStringRequired
balanceCurrent balance of the player’s wallet in Naga Games systemDecimal (20,2)Required

Example of Response

Success Response Example (HTTP status code 200)

{
  "balance": "10000",
  "currency": "TBH"
}

Failure Response Example (HTTP status code 400)

{
  "message": "Forbidden Request",
  "code": 1210,
  "timestamp": "2022-05-12T07:08:22.756Z"
}
Query Params
string
required
Defaults to safutest03

Identifier of the player in Operator’s system

string
required
Defaults to srot

Auto-generated code of the brand in Naga’s database

string
required
Defaults to dpae

Auto-generated code of the group in Naga’s database

Headers
string
required
Defaults to 21298857c50f0839ffda12222391d64018ea01dcc5277da26cc7fa5b40bb598a
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json